# Scores Ceiba

Vous trouverez ici le code source de l'application de Scores de [Ceiba Conseil](https://www.ceiba-conseil.com/).

## Information

- Le projet est développé par _[Weko](https://weko.io)_ et hébergé par _[RésiLien](https://resilien.fr)_
- L'application utilise [un script](./scripts/fetchData.js) permettant d'importer des contenus depuis [une interface d'administration](https://admin.ceiba-conseil.com)
- [Un outil automatique](https://ci.resilien.fr/Weko/ceiba-scores) permet une compilation automatique du projet lorsqu'un changement est effectué coté administration
- [Les emojis](https://twemoji-cheatsheet.vercel.app/) sont libres de droit proposé par _Twitter_
- _RésiLien_ reçoit des notifications automatiques lorsqu'un problème arrive lors de la compilation sur le canal _Matrix_ suivant https://matrix.to/#/#resilien-monitoring:converser.eu

## Développement

L'application a été développée avec le framework Javascript _[Vue.js](https://vuejs.org/)_ et l'outil _[Vite](https://vitejs.dev/)_.
Il utilise _[NPM](https://www.npmjs.com/)_ pour la gestion des dépendances Javascript.

### Recommandation pour votre environnement de développement

_[VSCode](https://code.visualstudio.com/)_ + _[Volar](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.volar)_ (et désactiver _Vetur_) + [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.vscode-typescript-vue-plugin).

Une configuration spécifique à _Vite_ peut être mise en place, voir [la référence](https://vitejs.dev/config/).

### Commandes

- Installation des dépendances : `npm install`
- Import des données de l'administration : `npm run fetchData`
- Compilation avec du _Hot-Reload_ (Rechargement à chaud) pour le développement : `npm run dev`
- Compilation et minification pour la production : `npm run build`
- Les règles de mise en forme sont assurées par _[ESLint](https://eslint.org/)_ : `npm run lint`

## Logiciels utilisés

_RésiLien_ met en place des outils open source eprouvés dans le temps et dont les communautés sont assez grandes pour permettre une perenité de ses projets.

Voici les différentes briques utilisé autour du projet :
- _[Garage](https://garagehq.deuxfleurs.fr/)_ pour l'hébergement développé par l'association [Deuxfleurs](https://deuxfleurs.fr/)
- _[Directus](https://directus.io/)_ pour l'administration
- _[Drone](https://drone.io)_ pour la compilation automatique du projet
- _[Matrix](https://fr.wikipedia.org/wiki/Matrix_(protocole))_ est un protocole ouvert pour de la communication en temps réel

Icon : https://www.svgrepo.com/collection/solar-linear-icons/
